%define rel	769
%define ver	0.9
%define TARNAME	NVIDIA_GLX
%define DSOREV	1.0.%rel


Name: nvidiaGL
Version: %ver.%rel
Release: alt6

Group: System/XFree86
Summary: NVIDIA module and OpenGL libraries for XFree86 4.0 X server
License: NVIDIA Corp. 2000
Url: http://www.nvidia.com
Vendor: NVIDIA Corp.

Source: ftp://ftp1.detonator.nvidia.com/pub/drivers/english/XFree86_40/%TARNAME-%ver-%rel.tar.gz
NoSource: 0

Requires: XFree86-server >= 4.0.1
Requires: kernel-nvidia = %version libGLwrapper
Provides: libGL
#Conflicts: XFree86-MesaGL

%description
NVIDIA XFree86 4.0 server module and OpenGL 1.2 libraries for RIVA TNT/TNT2
and GeForce/Quadro based video cards.  Older RIVA 128 based video cards are
supported by the server module shipping with XFree86 4.0, nv_drv.o. You
should install this package if you have one of the newer cards.

You must also install the NVIDIA_kernel module if you want
NVIDIA module and OpenGL libraries for XFree86 4.0 X server.

%prep
%setup -q -n %TARNAME-%ver-%rel

%build

%install
%set_strip_method none
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/modules/drivers
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/modules/extensions

install nvidia_drv.o      $RPM_BUILD_ROOT/usr/X11R6/lib/modules/drivers/
install libglx.so.%DSOREV $RPM_BUILD_ROOT/usr/X11R6/lib/modules/extensions/libglx.so.nvidia
install libGLcore.so.%DSOREV $RPM_BUILD_ROOT/usr/X11R6/lib/libGLcore.so.nvidia
install libGL.so.%DSOREV  $RPM_BUILD_ROOT/usr/X11R6/lib/libGL.so.nvidia

ln -s libglx.so.nvidia $RPM_BUILD_ROOT/usr/X11R6/lib/modules/extensions/libglx.so
ln -s libGLcore.so.nvidia $RPM_BUILD_ROOT/usr/X11R6/lib/libGLcore.so.1

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr (0555, root, root)
/usr/X11R6/lib/modules/drivers/nvidia_drv.o
/usr/X11R6/lib/modules/extensions/libglx.so
/usr/X11R6/lib/modules/extensions/libglx.so.nvidia
/usr/X11R6/lib/libGLcore.so.nvidia
/usr/X11R6/lib/libGLcore.so.1
/usr/X11R6/lib/libGL.so.nvidia

%changelog
* Tue Jan 29 2002 Sergey V Turchin <zerg@altlinux.ru> 0.9.769-alt6
- cleanup spec

* Thu Jun 14 2001 Sergey V Turchin <zerg@altlinux.ru> 0.9.769-alt5
- changed pakage name to nvidiaGL

* Fri Jun 08 2001 Sergey V Turchin <zerg@altlinux.ru> 0.9.769-alt4
- fix requires

* Wed May 23 2001 Sergey V Turchin <zerg@altlinux.ru>
- first build
